%define upstream_name    Module-Runtime
%define upstream_version 0.014

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Runtime module handling
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The functions exported by this module deal with runtime handling of Perl
modules, which are normally handled at compile time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.14.0-5.mga6
+ Revision: 1030292
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.14.0-4.mga6
+ Revision: 935418
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.14.0-3.mga5
+ Revision: 749247
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.14.0-2.mga5
+ Revision: 685474
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.14.0-1.mga5
+ Revision: 588498
- update to 0.014

* Fri Oct 18 2013 umeabot <umeabot> 0.13.0-3.mga4
+ Revision: 513079
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.13.0-2.mga3
+ Revision: 369973
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 22 2012 kharec <kharec> 0.13.0-1.mga2
+ Revision: 212136
- update to 0.013

* Fri Nov 04 2011 jquelin <jquelin> 0.11.0-1.mga2
+ Revision: 162672
- update to 0.011

* Fri Oct 14 2011 jquelin <jquelin> 0.10.0-1.mga2
+ Revision: 154790
- update to 0.010

* Fri Jun 17 2011 jquelin <jquelin> 0.8.0-1.mga2
+ Revision: 108889
- update to 0.008

* Tue Jan 18 2011 jquelin <jquelin> 0.7.0-2.mga1
+ Revision: 23349
- cleaning spec file
- imported package perl-Module-Runtime

